Subject: Re: linux-next: duplicate patches in the aspeed tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 18 Aug 2023 13:21:02 +1000

Hi Joel,

On Fri, 18 Aug 2023 02:19:11 +0000 Joel Stanley <[email-masked]> wrote:
>
> On Tue, 15 Aug 2023 at 01:41, Stephen Rothwell <[email-masked]> wrote:
> >
> > The following commits are also in the arm-soc-fixes tree as different
> > commits (but the same patches):
> >
> >   0955e3867b54 ("soc: aspeed: socinfo: Add kfree for kstrdup")
> >   c5835b6e7aff ("soc: aspeed: uart-routing: Use __sysfs_match_string")
> >
> > These are commits
> >
> >   6e6d847a8ce1 ("soc: aspeed: socinfo: Add kfree for kstrdup")
> >   e4ad279ae345 ("soc: aspeed: uart-routing: Use __sysfs_match_string")
> >
> > in the arm-soc-fixes tree.  
> 
> This is expected as I sent the changes as patches for Arnd to merge
> via the soc tree.
> 
> What would you like to see when this happens? Should I rebase them out
> of the aspeed tree?

They are currently not causing any conflicts (that I would need to
manually fix up), so you can just leave them it you like.

More generally, they could have gone into a separate branch that you
merge and you ask Arnd to merge so that we only have one copy.  In
particular, quite a few people have a separate "-fixes" branch for
current release bug fixes.
-- 
Cheers,
Stephen Rothwell